# Uses of Enum Class
org.snpeff.interval.FrameType

Packages that use FrameType
Package
Description
org.snpeff.interval

## Uses of FrameType in org.snpeff.interval

Subclasses with type arguments of type FrameType in org.snpeff.interval
Modifier and Type
Class
Description
`enum`
`FrameType`
Type of frame calculations Internally, we use GFF style frame calculation for Exon / Transcript Technically, these are 'frame' and 'phase' which are calculated in different ways UCSC type: Indicated the coding base number modulo 3.
Methods in org.snpeff.interval that return FrameType
Modifier and Type
Method
Description
`static FrameType`
FrameType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FrameType[]`
FrameType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.